Skip to main content

Quick Start

Get started with Nomic in under 2 minutes:
from portkey_ai import Portkey

# 1. Install: pip install portkey-ai
# 2. Add @nomic provider in model catalog
# 3. Use it:

portkey = Portkey(api_key="PORTKEY_API_KEY")

response = portkey.chat.completions.create(
    model="@nomic/nomic-embed-text-v1.5",
    messages=[{"role": "user", "content": "Hello!"}]
)

print(response.choices[0].message.content)
import Portkey from 'portkey-ai'

// 1. Install: npm install portkey-ai
// 2. Add @nomic provider in model catalog
// 3. Use it:

const portkey = new Portkey({
    apiKey: "PORTKEY_API_KEY"
})

const response = await portkey.chat.completions.create({
    model: "@nomic/nomic-embed-text-v1.5",
    messages: [{ role: "user", content: "Hello!" }]
})

console.log(response.choices[0].message.content)
from openai import OpenAI
from portkey_ai import PORTKEY_GATEWAY_URL

# 1. Install: pip install openai portkey-ai
# 2. Add @nomic provider in model catalog
# 3. Use it:

client = OpenAI(
    api_key="PORTKEY_API_KEY",  # Portkey API key
    base_url=PORTKEY_GATEWAY_URL
)

response = client.chat.completions.create(
    model="@nomic/nomic-embed-text-v1.5",
    messages=[{"role": "user", "content": "Hello!"}]
)

print(response.choices[0].message.content)
import OpenAI from "openai"
import { PORTKEY_GATEWAY_URL } from "portkey-ai"

// 1. Install: npm install openai portkey-ai
// 2. Add @nomic provider in model catalog
// 3. Use it:

const client = new OpenAI({
    apiKey: "PORTKEY_API_KEY",  // Portkey API key
    baseURL: PORTKEY_GATEWAY_URL
})

const response = await client.chat.completions.create({
    model: "@nomic/nomic-embed-text-v1.5",
    messages: [{ role: "user", content: "Hello!" }]
})

console.log(response.choices[0].message.content)
curl https://api.portkey.ai/v1/embeddings \
    -H "Content-Type: application/json" \
    -H "x-portkey-api-key: $PORTKEY_API_KEY" \
    -H "x-portkey-provider: @nomic" \
    -d '{
        "model": "nomic-embed-text-v1.5",
        "input": "create vector representation on this sentence"
    }'

Add Provider in Model Catalog

Before making requests, add Nomic to your Model Catalog:
  1. Go to Model Catalog → Add Provider
  2. Select Nomic
  3. Enter your Nomic API key
  4. Name your provider (e.g., nomic)

Complete Setup Guide

See all setup options and detailed configuration instructions

Supported Models

Nomic is known for their high-quality embedding models:
ModelContext LengthDescription
nomic-embed-text-v1.58,192 tokensLatest high-performance embedding model
nomic-embed-text-v18,192 tokensPrevious generation embedding model
Check Nomic’s documentation for more details.

Next Steps

Gateway Configs

Add fallbacks, load balancing, and more

Observability

Monitor and trace your Nomic requests

Caching

Cache embeddings for faster responses

Metadata

Add custom metadata to requests
For complete SDK documentation:

SDK Reference

Complete Portkey SDK documentation
Last modified on April 2, 2026